=== debian/changelog ===
nss-altfiles (2.23.0-0deepin1) unstable; urgency=medium

  * Update nss-altfiles to 2.23.0

 -- xml <xiamengliang@uniontech.com>  Tue, 20 Aug 2024 10:41:47 +0800

nss-altfiles (1.0-1) unstable; urgency=medium

  * Initial release

 -- Tsic404 <liuheng@deepin.org>  Sat, 28 Jan 2023 13:46:49 +0800
